Jump to content

[DEV][ROM][24.7.] CyanogenMod 10.1 (Android 4.2.2)


Recommended Posts

  • Replies 3.5k
  • Created
  • Last Reply

Popular Posts

This is my port of CyanogenMod 10.1 for ZTE Blade. It is unofficial and unsupported by the CyanogenMod team. This ROM is mainly for developers/testers/advanced users. I'm really not interested in hear

Merged commits not mentioned in the changelog. 5.8. changelog: updated gapps package removed Talk (it was replaced by Hangouts anyway) latest Google Play (4.2.9) newer

the n00bs have arrived, and they can't read.

Posted Images

Guest mpvargas

Bluetooth isn't working, tested on two devices. When i try to turn it on, it automatically turns off.

Just Read in the 1º post

Working:

  • Wifi
  • RIL (mobile network & data)
  • GPS
  • Audio (playback/input/routing/headphones/etc)
  • Camera (photos, camcorder & panorama)
  • Hardware acceleration and OpenGL rendering
  • SD card
  • USB-storage & adb
  • Browser
  • Touchscreen/multi-touch
  • Sensors
  • LEDs

    Partially working:
    • Video playback/recording - no hardware decoding/encoding
    • Project Butter - no vsync

    Not working:

    [*]Bluetooth (& bt-tethering)

    [*]Wifi tethering (use an external app, e.g. WiFi Tether for Root Users)

    [*]USB-tethering (use an external app)

    [*]FM radio

    KonstaT is working to the benefice off all us blade user so jus read its simple....

    KonstaT tanks for all you hard work. :)

Edited by mpvargas
Link to post
Share on other sites
Guest KonstaT

Whether photosphere and gesture typing is supported in this ROM?

Never. Both require proprietary libs and are only available for ARMv7 devices.

Could you please add usb and wifi tethering regexes to the overlay/frameworks/base/core/res/res/values/config.xml file?

There are some external tethering apps that don't work without these.

Which apps? Afaik those are only to notify the framework of tetherable interfaces. If the third party app relies on the (non-working) native tethering method it work either. I've removed them because I don't want to have force-closing/non-working items in the settings menu.

KonstaT, I was skimming over the device branch cm.10.1, are no patches needed?

Quite the opposite. ;) Most of the needed patches have been uploaded to the gerrit at some point though. It's still early days and everything is bit of a mess. It seems that CM is now more reluctant to merge patches needed for legacy devices.

Link to post
Share on other sites
Guest kcusoundman

Great work. Love that my £70 phone can run the latest :)

Couple of possibly silly questions.

Has anyone tried the Swype style keyboard. mine Traces ok but only registered the first letter.

Also, when I flash The gapps I get stops from gapps and setup and very little works unless I clear system and reinstall. Any idea what I am doing wrong?

Oops - was installing the wrong gapps. Still not getting the asop keyboard to swipe properly

Edited by kcusoundman
Link to post
Share on other sites

@KonstaT: I'd like to put my vote in for Bluetooth to get some attention, I use it with the car stereo all the time. Not sure how simple it is though given that they've completely ripped BlueZ out

Link to post
Share on other sites
Guest justcrazy

Hello! I'm flash my blade on cyanogenmod 10 and 10.1, but mms don't send on bouth rom. if i select mms apn, mms send, but internet don't work. Help, please..

P.S. Sorry for my English :-[

Link to post
Share on other sites

I too had that mms problem with Finnish Saunalahti, but after changing "Authentication type" to "PAP" in my mms APN, I'm able to send mms's normally. Maybe it's worth checking whether the new mms APN settings are correct?

@KonstaT: I found the working APN settings for Saunalahti from here, maybe you should edit the APN source file also or is it supposed to work out-of-the-box as it is?

On another note, I'm actually really pleased with the work done with the latest android in general, work from the CM team and ofc KonstaT for providing the results to our beloved blades. For one, I'm not urged to find a pleasing theme anymore, the ui is pretty nice looking as it is. All the customization options for statusbar/notification area are awesome and the default lockscreen is simply classy. There are almost no minor annoyances like there used to be and I can honestly say this release is by far the best Android experience I've had so far!

But there has to be something to whine about.. ;) Maybe it's just the screen on blade or the driver(?), but it seems like something's borked antialiasing? Normal small black text on white background is looking semi-bold and smudgy. The text is still almost as readable as it was before, but it just looks bad. The other annoyance would be the things that keep popping up from the sides of the lockscreen.. Yes, it's nice to give a hint when someone enters the lockscreen for the first time but you don't get those wierd bars popping up each time you enter your homescreen, do you? It's like having a text "Did you know you can swipe your lockscreen to add pages to it if you wish?" each and every time you just want to see what time it is.. well I do know and have known it for some time now, and NO, I don't want to add anything to it, not now, thanks, so please stop.

Thanks again KonstaT!

Edited by sm4tik
Link to post
Share on other sites
Guest elrond_bs

CM10.1 and this ROM are in very early development, for advanced users, who want to test the newest version with all the risks involved. Not for those who just want 4.2.

Most people don't realize, that if something doesn't work, it's most likely not KonstaT's fault. So please, report you problems without complaining, and do not expect them be fixed soon. Just use 4.1 instead. Let KonstaT do his work, the best he can, without annoying him and us, the people following his work. :)

It's completely normal for many things not to work well. In fact, I'm sure it could be much worse. :D

Edited by elrond_bs
Link to post
Share on other sites
Guest Snap.IT
CM10.1 and this ROM are in very early development, for advanced users, who want to test the newest version with all the risks involved. Not for those who just want 4.2.

Most people don't realize, that if something doesn't work, it's most likely not KonstaT's fault. So please, report you problems without complaining, and do not expect them be fixed soon. Just use 4.1 instead. Let KonstaT do his work, the best he can, without annoying him and us, the people following his work. :)

It's completely normal for many things not to work well. In fact, I'm sure it could be much worse. :D

Good on ya but it won't help.

Nothing will help, people will NOT read and NOT care.

I get several PM's a day and there is a sticky about it. No none cares.

One page later, rinse and repeat.

Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.